## com.sun.jna.platform.unix
Class X11.XMappingEvent

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XMappingEvent

Enclosing interface:
  X11

    public static class X11.XMappingEvent

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` `count`
`X11.Display` `display`
`int` `first_keycode`
`int` `request`
`int` `send_event`
`com.sun.jna.NativeLong` `serial`
`int` `type`
`X11.Window` `window`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XMappingEvent()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public int type

### serial

    public com.sun.jna.NativeLong serial

### send_event

    public int send_event

### display

    public X11.Display display

### window

    public X11.Window window

### request

    public int request

### first_keycode

    public int first_keycode

### count

    public int count

Constructor Detail

### X11.XMappingEvent

    public X11.XMappingEvent()